Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.spi.factories
Interface DeploymentFactory

public interface DeploymentFactory

A deployment factory

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Method Summary
`DeploymentManager` | `getDeploymentManager(String uri, String userName, String password)` Get a connected deployment manager
`DeploymentManager` | `getDisconnectedDeploymentManager(String uri)` Get a disconnected version of the deployment manager
`String` | `getDisplayName()` The vendor of the deployment manager
`String` | `getProductVersion()` The version of the deployment manager
`boolean` | `handlesURI(String uri)` Tests whether the factory can create a manager for the URI

Method Detail

### handlesURI

    public boolean handlesURI(String uri)

  Tests whether the factory can create a manager for the URI

  Parameters:
    `uri` - the uri
  Returns:
    true when it can, false otherwise

### getDeploymentManager

    public DeploymentManager getDeploymentManager(String uri,
                                                  String userName,
                                                  String password)
                                           throws DeploymentManagerCreationException

  Get a connected deployment manager

  Parameters:
    `uri` - the uri of the deployment manager
    `userName` - the user name
    `password` - the password
  Returns:
    the deployment manager
  Throws:
    `DeploymentManagerCreationException`

### getDisconnectedDeploymentManager

    public DeploymentManager getDisconnectedDeploymentManager(String uri)
                                                       throws DeploymentManagerCreationException

  Get a disconnected version of the deployment manager

  Parameters:
    `uri` - the uri to connect to
  Returns:
    the disconnected deployment manager
  Throws:
    `DeploymentManagerCreationException`

### getDisplayName

    public String getDisplayName()

  The vendor of the deployment manager

  Returns:
    the vendor name

### getProductVersion

    public String getProductVersion()

  The version of the deployment manager

  Returns:
    the version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.